Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class DefaultExporterFilterFactory

    java.lang.Object
      net.sf.jasperreports.engine.export.DefaultExporterFilterFactory

All Implemented Interfaces:
  ExporterFilterFactory

    public class DefaultExporterFilterFactory

extends java.lang.Object
implements ExporterFilterFactory

Default exporter filter factory. The factory searches for all registered filter factories and collects all filters produced by these factories for a specific exporter context.

Version:
  $Id: DefaultExporterFilterFactory.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `getFilter(JRExporterContext)`

Field Summary
`static java.lang.String` | `PROPERTY_EXPORTER_FILTER_FACTORY_PREFIX` The prefix of properties that are used to register filter factories.

Constructor Summary
`DefaultExporterFilterFactory()`

Method Summary
`protected java.util.List` | `getAllFilterFactories(JasperPrint report)`
`ExporterFilter` | `getFilter(JRExporterContext exporterContext)` The method searches for all filter factories registered via `net.sf.jasperreports.export.filter.factory.`
`protected ExporterFilterFactory` | `getFilterFactory(java.lang.String factoryClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_EXPORTER_FILTER_FACTORY_PREFIX

    public static final java.lang.String PROPERTY_EXPORTER_FILTER_FACTORY_PREFIX

  The prefix of properties that are used to register filter factories.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultExporterFilterFactory

    public DefaultExporterFilterFactory()

Method Detail

### getFilter

    public ExporterFilter getFilter(JRExporterContext exporterContext)
                             throws JRException

  The method searches for all filter factories registered via `net.sf.jasperreports.export.filter.factory.*` properties, calls each factory and collects the returned filters. The method returns:
  - `null`, if no factory returned a not null filter.
  - an individual filter, if a single factory returned a not null filter.
  - a `ExporterFilterContainer` instance, if several factories returned not null filters.

  Specified by:
    `getFilter` in interface `ExporterFilterFactory`
  Parameters:
    `exporterContext` - the exporter context
  Returns:
    an export filter for the exporter, or `null` if nothing is to be filtered
  Throws:
    `JRException`
  See Also:
    `PROPERTY_EXPORTER_FILTER_FACTORY_PREFIX`

### getAllFilterFactories

    protected java.util.List getAllFilterFactories(JasperPrint report)
                                            throws JRException

  Throws:
    `JRException`

### getFilterFactory

    protected ExporterFilterFactory getFilterFactory(java.lang.String factoryClassName)
                                              throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com